httpd-cvs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ic...@apache.org
Subject svn commit: r1792593 - in /httpd/test/mod_h2/trunk: configure.ac test/test_common.sh test/test_debug.sh
Date Tue, 25 Apr 2017 09:32:25 GMT
Author: icing
Date: Tue Apr 25 09:32:25 2017
New Revision: 1792593

URL: http://svn.apache.org/viewvc?rev=1792593&view=rev
Log:
updated to nghttp 1.22.0 release, normalizing output due to new cert warnings

Modified:
    httpd/test/mod_h2/trunk/configure.ac
    httpd/test/mod_h2/trunk/test/test_common.sh
    httpd/test/mod_h2/trunk/test/test_debug.sh

Modified: httpd/test/mod_h2/trunk/configure.ac
URL: http://svn.apache.org/viewvc/httpd/test/mod_h2/trunk/configure.ac?rev=1792593&r1=1792592&r2=1792593&view=diff
==============================================================================
--- httpd/test/mod_h2/trunk/configure.ac (original)
+++ httpd/test/mod_h2/trunk/configure.ac Tue Apr 25 09:32:25 2017
@@ -52,7 +52,7 @@ AC_ARG_WITH([serverdir], [AS_HELP_STRING
     [Use serverdir directory for setup [default=gen/apache]])],
     [request_serverdir=$withval], [request_serverdir=$PWD/gen/apache])
 
-NGHTTP2_VERSION=1.20.0
+NGHTTP2_VERSION=1.22.0
 
 AC_ARG_WITH([nghttp2-version], [AS_HELP_STRING([--with-nghttp2-version],
     [Use nghttp2 of specified version [default=<ignore>]])],

Modified: httpd/test/mod_h2/trunk/test/test_common.sh
URL: http://svn.apache.org/viewvc/httpd/test/mod_h2/trunk/test/test_common.sh?rev=1792593&r1=1792592&r2=1792593&view=diff
==============================================================================
--- httpd/test/mod_h2/trunk/test/test_common.sh (original)
+++ httpd/test/mod_h2/trunk/test/test_common.sh Tue Apr 25 09:32:25 2017
@@ -209,6 +209,14 @@ curl_check_alpn() {
     echo ok.
 }
 
+nghttp_diff() {
+    local reference="$1"
+    local output="$2"
+    
+    diff -u -I "^\\[WARNING\\] Certificate verification failed.*" \
+        "$reference" "$output"
+}
+
 nghttp_check_doc() {
     local DOC="$1"; shift;
     local MSG="$1"; shift;
@@ -216,7 +224,7 @@ nghttp_check_doc() {
     rm -rf $TMP &&
     mkdir -p "$TMP" &&
     ${NGHTTP} "$@"$ARG_UPGRADE $URL_PREFIX/$DOC > $TMP/$DOC 2>&1 || fail
-    diff -u  $DOC_ROOT/$DOC $TMP/$DOC || fail
+    nghttp_diff $DOC_ROOT/$DOC $TMP/$DOC || fail
     echo ok.
 }
 
@@ -260,7 +268,7 @@ nghttp_check_assets() {
     sort > $TMP/reference
     ${NGHTTP} -ans "$@"$ARG_UPGRADE $URL_PREFIX/$DOC > $TMP/out 2>&1 || fail
     nghttp_filter_assets $TMP/out $TMP/output
-    diff -u $TMP/reference $TMP/output  || fail
+    nghttp_diff $TMP/reference $TMP/output  || fail
     echo ok.
 }
 
@@ -284,7 +292,7 @@ nghttp_check_pushed() {
             echo "$path $size $stat"
         fi
     done | sort > $TMP/output || fail
-    diff -u $TMP/reference $TMP/output  || fail
+    nghttp_diff $TMP/reference $TMP/output  || fail
     echo ok.
 }
 
@@ -319,7 +327,7 @@ nghttp_check_content() {
     cat > $TMP/expected
     echo -n " * nghttp /$DOC: $MSG..."
     ${NGHTTP} "$@"$ARG_UPGRADE $URL_PREFIX/$DOC > $TMP/$DOC 2>&1 || fail
-    diff -u  $TMP/expected $TMP/$DOC || fail
+    nghttp_diff $TMP/expected $TMP/$DOC || fail
     echo ok.
 }
 
@@ -331,7 +339,7 @@ nghttp_check_head() {
     cat > $TMP/expected
     echo -n " * nghttp /$DOC: $MSG..."
     ${NGHTTP} "$@"$ARG_UPGRADE -H ':method: HEAD' $URL_PREFIX/$DOC > $TMP/$DOC 2>&1
|| fail
-    diff -u  $TMP/expected $TMP/$DOC || fail
+    nghttp_diff $TMP/expected $TMP/$DOC || fail
     echo ok.
 }
 
@@ -345,7 +353,7 @@ nghttp_check_fcontent() {
     done
     echo -n " * nghttp /$DOC: $MSG..."
     ${NGHTTP} "$@"$ARG_UPGRADE $URL_PREFIX/$DOC > $TMP/$DOC 2>&1 || fail
-    diff -u  $TMP/expected $TMP/$DOC || fail
+    nghttp_diff $TMP/expected $TMP/$DOC || fail
     echo ok.
 }
 
@@ -364,7 +372,7 @@ nghttp_check_recv_header() {
         line="${line#*) }"
         echo "$line"; 
     done > $GEN/tmp/output
-    diff -u -u $TMP/expected $TMP/output || fail
+    nghttp_diff $TMP/expected $TMP/output || fail
     echo ok.
 }
 
@@ -419,7 +427,7 @@ nghttp_check_promises() {
         line="${line%%length=*}"
         echo "$line...>"; 
     done > $GEN/tmp/output
-    diff -u $TMP/expected $TMP/output || fail
+    nghttp_diff $TMP/expected $TMP/output || fail
     echo ok.
 }
 
@@ -431,7 +439,7 @@ mh2fuzz_check_cache_digest() {
     cat > $TMP/expected
     echo -n " * mh2fuzz /$DOC: $MSG..."
     ${MH2FUZZ} "$@" -f submit-delay100 -m 1 -op $URL_PREFIX/$DOC $URL_PREFIX/.well-known/h2/state
2>&1 | fgrep 'cache_digest' > $TMP/$DOC
-    diff -u  $TMP/expected $TMP/$DOC || fail
+    nghttp_diff $TMP/expected $TMP/$DOC || fail
     echo ok.
 }
 
@@ -601,7 +609,7 @@ $fname
 --DSAJKcd9876--
 EOF
     echo -n " * nghttp /$DOC: rm $fname..."
-    ${NGHTTP} -v "$@"$ARG_UPGRADE --data=$TMP/updata -H'Content-Type: multipart/form-data;
boundary=DSAJKcd9876' $URL_PREFIX/$DOC > $TMP/$DOC || fail "error removing $fname"
+    ${NGHTTP} -v "$@"$ARG_UPGRADE --data=$TMP/updata -H'Content-Type: multipart/form-data;
boundary=DSAJKcd9876' $URL_PREFIX/$DOC > $TMP/$DOC 2>&1 || fail "error removing
$fname"
     echo ok.
 }
 
@@ -630,9 +638,9 @@ EOF
 --DSAJKcd9876--
 EOF
     echo -n " * nghttp /$DOC: $MSG..."
-    ${NGHTTP} -v "$@"$ARG_UPGRADE --expect-continue --data=$TMP/updata -H'Content-Type: multipart/form-data;
boundary=DSAJKcd9876' $URL_PREFIX/$DOC > $TMP/$DOC || fail "error uploading $fname"
-    ${NGHTTP} $ARG_UPGRADE $URL_PREFIX/files/"$fname" > $TMP/data.down || fail "error
downloding $fname"
-    diff -u  $FILE $TMP/data.down >$TMP/data.diff || fail "output differs: $FILE $TMP/data.down"
+    ${NGHTTP} -v "$@"$ARG_UPGRADE --expect-continue --data=$TMP/updata -H'Content-Type: multipart/form-data;
boundary=DSAJKcd9876' $URL_PREFIX/$DOC > $TMP/$DOC  2>&1 || fail "error uploading
$fname"
+    ${NGHTTP} $ARG_UPGRADE $URL_PREFIX/files/"$fname" > $TMP/data.down 2>&1 ||
fail "error downloding $fname"
+    nghttp_diff $FILE $TMP/data.down >$TMP/data.diff || fail "output differs: $FILE $TMP/data.down"
     echo ok.
 }
 
@@ -652,8 +660,8 @@ $NAME
 --DSAJKcd9876
 EOF
     echo -n " * nghttp /$DOC: $MSG..."
-    ${NGHTTP} "$@"$ARG_UPGRADE --data=$TMP/updata -H'Content-Type: multipart/form-data; boundary=DSAJKcd9876'
$URL_PREFIX/$DOC > $TMP/$DOC || fail "error uploading form"
-    diff -u  $TMP/expected $TMP/$DOC >$TMP/data.diff || fail "output differs: $TMP/expected
$TMP/$DOC"
+    ${NGHTTP} "$@"$ARG_UPGRADE --data=$TMP/updata -H'Content-Type: multipart/form-data; boundary=DSAJKcd9876'
$URL_PREFIX/$DOC > $TMP/$DOC 2>&1 || fail "error uploading form"
+    nghttp_diff $TMP/expected $TMP/$DOC >$TMP/data.diff || fail "output differs: $TMP/expected
$TMP/$DOC"
     echo ok.
 }
 
@@ -664,8 +672,8 @@ nghttp_post_data() {
     rm -rf $TMP
     mkdir -p $TMP
     echo -n " * nghttp /$DOC: $MSG..."
-    ${NGHTTP} "$@"$ARG_UPGRADE --data=$FILE $URL_PREFIX/$DOC > $TMP/data.down || fail
"error uploading $fname"
-    diff -u  $FILE $TMP/data.down >$TMP/data.diff || fail "output differs: $FILE $TMP/data.down"
+    ${NGHTTP} "$@"$ARG_UPGRADE --data=$FILE $URL_PREFIX/$DOC > $TMP/data.down 2>&1
|| fail "error uploading $fname"
+    nghttp_diff $FILE $TMP/data.down >$TMP/data.diff || fail "output differs: $FILE $TMP/data.down"
     echo ok.
 }
 

Modified: httpd/test/mod_h2/trunk/test/test_debug.sh
URL: http://svn.apache.org/viewvc/httpd/test/mod_h2/trunk/test/test_debug.sh?rev=1792593&r1=1792592&r2=1792593&view=diff
==============================================================================
--- httpd/test/mod_h2/trunk/test/test_debug.sh (original)
+++ httpd/test/mod_h2/trunk/test/test_debug.sh Tue Apr 25 09:32:25 2017
@@ -56,10 +56,10 @@ nghttp_post_debug() {
     mkdir -p $TMP
     cat > $TMP/expected
     echo -n " * nghttp /$DOC: $MSG..."
-    ${NGHTTP} "$@"$ARG_UPGRADE --data=$FILE $URL_PREFIX/$DOC > $TMP/output || fail "error
uploading $fname"
+    ${NGHTTP} "$@"$ARG_UPGRADE --data=$FILE $URL_PREFIX/$DOC > $TMP/output 2>&1
|| fail "error uploading $fname"
     fgrep 'recv (' < $TMP/output | fgrep -v date: | fgrep -v server: | 
         sed 's/.* recv .stream_id=... //g' > $TMP/filtered
-    diff -u $TMP/expected $TMP/filtered || fail
+    nghttp_diff $TMP/expected $TMP/filtered || fail
     echo ok.
 }
 
@@ -70,10 +70,10 @@ nghttp_get_debug() {
     mkdir -p $TMP
     cat > $TMP/expected
     echo -n " * nghttp /$DOC: $MSG..."
-    ${NGHTTP} "$@"$ARG_UPGRADE $URL_PREFIX/$DOC > $TMP/output || fail "error getting $DOC"
+    ${NGHTTP} "$@"$ARG_UPGRADE $URL_PREFIX/$DOC > $TMP/output 2>&1 || fail "error
getting $DOC"
     fgrep 'recv (' < $TMP/output | fgrep -v date: | fgrep -v server: | 
         sed 's/.* recv .stream_id=... //g' > $TMP/filtered
-    diff -u $TMP/expected $TMP/filtered || fail
+    nghttp_diff $TMP/expected $TMP/filtered || fail
     echo ok.
 }
 



Mime
View raw message